%bcond_with doc

%global pypi_name futurist

Summary:        Useful additions to futures, from the future
Name:           python-%{pypi_name}
Version:        2.4.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            http://docs.openstack.org/developer/futurist
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%package -n python3-%{pypi_name}
Summary:        Useful additions to futures, from the future
BuildRequires:  python3-devel python3-pbr git-core python3-prettytable python3-setuptools python3-six
Requires:       python3-six

%description -n python3-%{pypi_name}
Code from the future, delivered to you in the now.

%if 0%{with doc}
%package -n python-%{pypi_name}-doc
Summary:        Useful additions to futures, from the future - documentation
BuildRequires:  python3-sphinx python3-openstackdocstheme

%description -n python-%{pypi_name}-doc
Code from the future, delivered to you in the now.
%endif

%description
Code from the future, delivered to you in the now.

%prep
%autosetup -n %{pypi_name}-%{version} -S git

%build
%{py3_build}

%if 0%{with doc}
sphinx-build-3 -W -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-*-py%{python3_version}.egg-info

%if 0%{with doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Shuo Wang <abushwang@tencent.com> - 2.4.0-1
- initial build
